Subject: Re: linux-next: Tree for June 25

From: "Rafael J. Wysocki" <[email-masked]>
Date: Thu, 26 Jun 2008 02:28:38 +0200

On Wednesday, 25 of June 2008, Stephen Rothwell wrote:
> Hi all,

Hi,

> Changes since next-20080624:
> 
> The tip-core tree gained three conflicts against Linus' tree.
> 
> The sched tree gained a conflict against the cpus4096 tree.
> 
> The x86 tree gained a conflict against the ftrace tree.  It also required
> three patches that Ingo supplied.
> 
> The pci tree gained two conflicts against the x86 tree.
> 
> The v4l-dvb tree has had another commit reverted for a build problem,
> however that may have been due to a mismerge in yesterday's tree.
> 
> The acpi tree gained two conflicts against the x86 tree.
> 
> The tests tree gained a conflict against the sched tree.
> 
> The vfs tree gained a conflict against the sched tree.
> 
> The rr tree gained a conflict against each of the sched and powerpc
> trees.  It also required a patch and a commit reverted for build problems.
> 
> The pcmcia tree lost its conflict against Linus' tree.

This tree is completely broken on my test box (x86-64 HP nx6325) and I can't
even bisect it. :-(

It hits a NULL pointer dereference in find_symbol during boot, but when I tried
to bisect this issue, I hit another one that made the box hang solid during
boot (early, no messages available).

If things continue going this way, 2.6.27 will be a disaster ...

Thanks,
Rafael